注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

钱五哥の163空间

记录俺的生活和工作历程

 
 
 

日志

 
 
关于我

从事网络通信软件和开发管理开发多年,了解各类软件系统的架构、设计、开发和测试以及相应的开发方法。工作之余,喜欢研究一些自己感兴趣的事情,包括写写小程序、做做木工、看看连续剧、读读军事杂志、养鱼种花等等

网易考拉推荐

升级Confluence到5.5.4,未搞定中文  

2014-08-10 01:17:59|  分类: IT技术 |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |

目前Confluence的版本是5.4.1,这个版本存在较多的bug,主要表现为如果几天不重启就会出现停服异常,感觉比较弱,和JIRA的健壮性不可同日而语,恐怕这也是因为JIRA的用户规模远远大于Conf的缘故。打算升级到5.5.4。记录一下升级步骤:

1、将atlassian-confluence-5.5.4.tar.gz复制到安装目录下,解压,修改一下confluence/WEB-INF/classes/confluence-init.properties中home的位置

如果选择MysQL,需要改写URL为jdbc:mysql://localhost/conflucensessionVariables=storage_engine%3DInnoDB&useUnicode=true&characterEncoding=utf8

2、启动原先的老版本concfluence,选择数据备份,经过一段时间会完成备份

image

3、停止老版本的Confluence,启动5.5.4,一步一步配置,配置正确的数据库,然后在选择Confluence数据的时候,选择从现有数据中恢复,记得将原先备份的那个xxx.zip放置到home/restore目录下,就可以找到数据了

image

image

image

4、恢复之后会提示登录,用原先的用户名登录,一切都OK了

5、折腾比较长时间的是语言包安装,最终没有搞定,有知道的朋友给指导一下吧

https://confluence.atlassian.com/display/DOC/Installing+a+Language+Pack?

https://confluence.atlassian.com/display/UPM/Installing+Add-ons

里面介绍的方法已经不好用了,里面没有那个“upload plugins”按钮,只有“build a new addon”按钮,5.5.4中没有“upload plugin“这个选项了

image

image

5.1? Language Pack Download

https://translations.atlassian.com/dashboard/download?lang=zh_CN#/Confluence/5.5.4

5.2 但是官方没有语言包,因此无法通过Market下载

https://marketplace.atlassian.com/plugins/app/confluence/popular?category=Language+packs

因此采用了将下载的语言包直接放到home/bundled-plugin下面,重启系统让Confluence自己安装,结果发现系统无法启动,折腾好久没有办法,只好将系统重新删除再次来过,这次暂时先不安装中文了,等稳定一下再说.

?

相关信息:

  1. JIRA升级后原有Issue时间显示错乱的问题
  2. 从JIRA 5.0升级到6.0
  3. Confluence并发写的互相覆盖问题
  评论这张
 
阅读(566)| 评论(0)
推荐 转载

历史上的今天

在LOFTER的更多文章

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2017